#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	phpab \
		--output phpseclib/autoload.php \
		--template debian/autoload.php.tpl \
		phpseclib
	mkdir --parents vendor
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
	tests
	ln -s phpseclib phpseclib3
	ln -s /usr/share/php/ParagonIE
	ln -s /usr/share/php/random_compat

override_dh_auto_test:
	phpunit --configuration tests/phpunit.xml
